## python-soundcard 0.4.5

=== doc/requirements.txt ===
cffi
numpy>=1.11

=== debian/changelog ===
python-soundcard (0.4.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1129028)

 -- Edward Betts <edward@4angle.com>  Wed, 25 Feb 2026 15:36:55 +0000

=== debian/control ===
Source: python-soundcard
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 libpython3.13 <!nocheck>,
 libpython3.14 <!nocheck>,
 pipewire-pulse <!nocheck> | pulseaudio <!nocheck>,
 pulseaudio-utils <!nocheck>,
 python3-cffi <!nocheck>,
 python3-numpy <!nocheck>,
 python3-pyinstaller <!nocheck>,
 python3-pytest <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://github.com/bastibe/SoundCard
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-soundcard
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-soundcard.git

Package: python3-soundcard
Architecture: all
Depends:
 pipewire-pulse | pulseaudio,
 ${misc:Depends},
 ${python3:Depends},
Description: Audio playback and recording interface for system sound devices
 This library provides access to audio input and output devices for recording
 and playback.
 .
 It enumerates available speakers and microphones, exposes the current default
 devices, and allows selecting devices by name. Audio is exchanged as frame-by-
 channel NumPy arrays with samples scaled to 0 dBFS, where values are typically
 kept between -1 and 1 to avoid clipping.
 .
 For streaming operation it provides long-lived recorder and player objects
 with adjustable block sizes, allowing control over buffering and latency. It
 also supports selecting subsets of channels through channel maps so that
 multi-channel devices can be addressed in a predictable way.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=-k "not test_name and not test_loopback_ and not test_default_"

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	@if echo " $(DEB_BUILD_OPTIONS) " | grep -q " nocheck "; then \
		echo "I: DEB_BUILD_OPTIONS contains nocheck, skipping tests"; \
		exit 0; \
	fi; \
	runtime_dir="$$(mktemp -d)"; \
	export XDG_RUNTIME_DIR="$$runtime_dir"; \
	pipewire_pid=""; \
	pipewire_pulse_pid=""; \
	cleanup() { \
		pulseaudio --kill >/dev/null 2>&1 || true; \
		[ -n "$$pipewire_pulse_pid" ] && kill "$$pipewire_pulse_pid" >/dev/null 2>&1 || true; \
		[ -n "$$pipewire_pid" ] && kill "$$pipewire_pid" >/dev/null 2>&1 || true; \
		rm -rf "$$runtime_dir"; \
	}; \
	trap cleanup EXIT INT TERM; \
	if command -v pulseaudio >/dev/null 2>&1; then \
		pulseaudio --daemonize=yes --exit-idle-time=-1 --log-target=stderr; \
	elif command -v pipewire >/dev/null 2>&1 && command -v pipewire-pulse >/dev/null 2>&1; then \
		pipewire >"$$runtime_dir/pipewire.log" 2>&1 & \
		pipewire_pid="$$!"; \
		pipewire-pulse >"$$runtime_dir/pipewire-pulse.log" 2>&1 & \
		pipewire_pulse_pid="$$!"; \
	else \
		echo "E: no supported PulseAudio server available (need pulseaudio or pipewire-pulse)"; \
		exit 1; \
	fi; \
	for _i in 1 2 3 4 5 6 7 8 9 10; do \
		if [ -S "$$XDG_RUNTIME_DIR/pulse/native" ]; then \
			break; \
		fi; \
		sleep 0.2; \
	done; \
	if [ ! -S "$$XDG_RUNTIME_DIR/pulse/native" ]; then \
		echo "E: PulseAudio socket did not appear at $$XDG_RUNTIME_DIR/pulse/native"; \
		[ -f "$$runtime_dir/pipewire.log" ] && tail -n 50 "$$runtime_dir/pipewire.log" || true; \
		[ -f "$$runtime_dir/pipewire-pulse.log" ] && tail -n 50 "$$runtime_dir/pipewire-pulse.log" || true; \
		exit 1; \
	fi; \
	echo "I: Running pybuild tests with private audio runtime at $$XDG_RUNTIME_DIR"; \
	pybuild --test --test-pytest -i python{version}

=== debian/tests/control ===
Tests: pytest
Depends: @, @builddeps@
Restrictions: allow-stderr

=== debian/watch ===
Version: 5

Template: Github
Owner: bastibe
Project: SoundCard
